Package io.dapr.client

# Class DaprHttp

java.lang.Object
io.dapr.client.DaprHttp

    public class DaprHttp
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `DaprHttp.HttpMethods` | HTTP Methods supported.
  `static class` | `DaprHttp.Response` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `reactor.core.publisher.Mono<DaprHttp.Response>` | `invokeApi​(java.lang.String method, java.lang.String urlString, java.util.Map<java.lang.String,​java.lang.String> urlParameters, byte[] content, java.util.Map<java.lang.String,​java.lang.String> headers)` | Invokes an API asynchronously that returns a text payload.
  `reactor.core.publisher.Mono<DaprHttp.Response>` | `invokeApi​(java.lang.String method, java.lang.String urlString, java.util.Map<java.lang.String,​java.lang.String> urlParameters, java.lang.String content, java.util.Map<java.lang.String,​java.lang.String> headers)` | Invokes an API asynchronously that returns a text payload.
  `reactor.core.publisher.Mono<DaprHttp.Response>` | `invokeApi​(java.lang.String method, java.lang.String urlString, java.util.Map<java.lang.String,​java.lang.String> urlParameters, java.util.Map<java.lang.String,​java.lang.String> headers)` | Invokes an API asynchronously without payload that returns a text payload.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### invokeApi

    public reactor.core.publisher.Mono<DaprHttp.Response> invokeApi​(java.lang.String method, java.lang.String urlString, java.util.Map<java.lang.String,​java.lang.String> urlParameters, java.util.Map<java.lang.String,​java.lang.String> headers)
    Invokes an API asynchronously without payload that returns a text payload.
    Parameters:
      `method` - HTTP method.
      `urlString` - url as String.
      `urlParameters` - URL parameters
      `headers` - HTTP headers.
    Returns:
      Asynchronous text

  - ### invokeApi

    public reactor.core.publisher.Mono<DaprHttp.Response> invokeApi​(java.lang.String method, java.lang.String urlString, java.util.Map<java.lang.String,​java.lang.String> urlParameters, java.lang.String content, java.util.Map<java.lang.String,​java.lang.String> headers)
    Invokes an API asynchronously that returns a text payload.
    Parameters:
      `method` - HTTP method.
      `urlString` - url as String.
      `urlParameters` - Parameters in the URL
      `content` - payload to be posted.
      `headers` - HTTP headers.
    Returns:
      Asynchronous response

  - ### invokeApi

    public reactor.core.publisher.Mono<DaprHttp.Response> invokeApi​(java.lang.String method, java.lang.String urlString, java.util.Map<java.lang.String,​java.lang.String> urlParameters, byte[] content, java.util.Map<java.lang.String,​java.lang.String> headers)
    Invokes an API asynchronously that returns a text payload.
    Parameters:
      `method` - HTTP method.
      `urlString` - url as String.
      `urlParameters` - Parameters in the URL
      `content` - payload to be posted.
      `headers` - HTTP headers.
    Returns:
      Asynchronous response